"use strict";

(function(Drupal) {
  Drupal.behaviors.tacjs = {
    attach: function attach(context, settings) {
      tarteaucitron.cdn = "/libraries/tarteaucitron/";

      window.tarteaucitronCustomText = {};
      Object.keys(settings.tacjs.texts)
        .filter(function(text) {
          return settings.tacjs.texts[text] !== "";
        })
        .map(function(text) {
          window.tarteaucitronCustomText[text] = Drupal.t(
            settings.tacjs.texts[text]
          );
        });

      tarteaucitron.init({
        adblocker:
          settings.options_tacjs && settings.options_tacjs.adblocker === "true",
        cookieName:
          settings.options_tacjs && settings.options_tacjs.cookie_name !== ""
            ? settings.options_tacjs.cookie_name
            : "tarteaucitron",
        cookieslist:
          settings.options_tacjs &&
          settings.options_tacjs.cookieslist === "true",
        handleBrowserDNTRequest:
          settings.options_tacjs &&
          settings.options_tacjs.handleBrowserDNTRequest === "true",
        highPrivacy:
          settings.options_tacjs &&
          settings.options_tacjs.high_privacy !== "false",
        orientation:
          settings.options_tacjs &&
          (settings.options_tacjs.cookie_name === "top" ||
            settings.options_tacjs.cookie_name === "bottom")
            ? settings.options_tacjs.orientation
            : "bottom",
        removeCredit:
          settings.options_tacjs &&
          settings.options_tacjs.removeCredit === "true",
        showAlertSmall:
          settings.options_tacjs &&
          settings.options_tacjs.show_alertSmall === "true"
      });
    }
  };
})(Drupal);
